keyboard

Synapse 1.0 not Recognizing BlackWidow Ultimate Fix

I had an issue where Synapse 1.0 software was not recognizing my BlackWidow Ultimate. My guess is that firmware got updated at some point (probably when I installed Synapse 2.0 without realizing it wasn’t what I wanted) which made the keyboard incompatible with the old software. Razer’s support website told me that I should try updating the firmware:

My BlackWidow or BlackWidow Ultimate is not being detected is there anything I can do? The latest FW v1.04 should correct most of these problems.

Unfortunately, just like the Synapse 1.0 software, the firmware installer could not detect the keyboard either and therefore could not flash the firmware.

Fast-forward me messing around with Synapse 2.0. The keyboard’s firmware was now at the latest version and magically the Razer_BlackWidowUltimate_FirmwareUpdater_v1.04.exe could now detect the keyboard. However, the updater said that “Device is already has the target firmware” and prompted me if I wanted to continue. At first, I did not want to proceed, but later decided to do it anyway for science. To my surprise the updater showed that my current firmware version was 1.08 and the new one will be 1.04. Considering how I’ve come across multiple devices where downgrading firmware was not possible, my first thought was “Uh-oh, I just bricked my keyboard.” Fortunately the downgrade went fine and nothing was bricked. In hindsight, given how buggy Synapse 2.0 I found to be after my messing with it (maybe I’ll make a post about that too), all of the above wasn’t really all that surprising. After the flash I decided to give Synapse 1.0 another try and it worked! The keyboard was detected and I was able to create macros. Best of all, I didn’t need Synapse 2.0. Yay!

In short, if Synapse 1.0 and Firmware Updater 1.04 do not recognize BlackWidow Ultimate:

  • Try updating firmware to 1.08 and then downgrading to 1.04.

If that doesn’t work:

  • Install Synapse 2.0
  • Use the offline hack to get firmware up to date
  • Downgrade to 1.04
  • Install Synapse 1.0

Hope this helps.